import type { EventEmitter } from '../../../stencil-public-runtime';
import { SidePanelSideEnum } from './side-panel.types';
export declare class SidePanel {
    isOpen: boolean;
    side: SidePanelSideEnum;
    panelClassName?: string;
    close: EventEmitter;
    isVisible: boolean;
    shouldAnimate: boolean;
    private closeTimeout;
    private readonly ANIMATION_DURATION_MS;
    handleOpenChange(newValue: boolean): void;
    disconnectedCallback(): void;
    handleOverlayClick: (event: MouseEvent) => void;
    render(): any;
}
